use self::namespace::{GlobalNamespace, TypeDef};

pub mod namespace;

pub fn initialise_globals() -> GlobalNamespace {
    let mut ns = GlobalNamespace::init();

    let numeric = ns.register_trait("Numeric").unwrap();

    ns.register_type("integer").unwrap().add_trait(&numeric);
    ns.register_type("float").unwrap().add_trait(&numeric);

    ns
}
